package logger

import (
	"local/logb"
)

type Logger struct{}

func New() Logger {
	return Logger{}
}

func (l Logger) Info(m string, args ...interface{}) {
	args = append([]interface{}{m}, args...)
	switch m {
	case "wake":
		logb.Verbose(args...)
	case "run":
		logb.Debug(args...)
	default:
		logb.Info(args...)
	}
}

func (l Logger) Error(e error, m string, args ...interface{}) {
	args = append([]interface{}{e, m}, args...)
	logb.Error(args...)
}
